//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "TDirectX_Object_Browser.h"
#include "TCallback_Functions_Editor.h"
#include "TGlobal_Functions_Editor.h"
#include "TInterfaces_Editor.h"
#include "TMacros_Editor.h"
#include "TStructures_Editor.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TDirectX_Object_Browser *DirectX_Object_Browser;
//---------------------------------------------------------------------------
__fastcall TDirectX_Object_Browser::TDirectX_Object_Browser(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TDirectX_Object_Browser::ComboBox1Change(TObject *Sender)
{
if (ComboBox1->ItemIndex!=-1)
    {
    Label1->Caption = ComboBox1->Items->Strings[ComboBox1->ItemIndex];
    switch (ComboBox1->ItemIndex)
        {
        case 0: // DirectDraw
                Edit_Interfaces_Button->Enabled = true;
                Edit_Global_Functions_Button->Enabled = true;
                Edit_Callback_Functions_Button->Enabled = true;
                Edit_Structures_Button->Enabled = true;
                Edit_Macros_Button->Enabled = false;
                break;
        case 1: // DirectSound
                Edit_Interfaces_Button->Enabled = true;
                Edit_Global_Functions_Button->Enabled = false;
                Edit_Callback_Functions_Button->Enabled = false;
                Edit_Structures_Button->Enabled = true;
                Edit_Macros_Button->Enabled = false;
                break;
        case 2: // DirectInput
                Edit_Interfaces_Button->Enabled = true;
                Edit_Global_Functions_Button->Enabled = false;
                Edit_Callback_Functions_Button->Enabled = false;
                Edit_Structures_Button->Enabled = true;
                Edit_Macros_Button->Enabled = false;
                break;
        case 3: // DirectPlay
                Edit_Interfaces_Button->Enabled = true;
                Edit_Global_Functions_Button->Enabled = false;
                Edit_Callback_Functions_Button->Enabled = false;
                Edit_Structures_Button->Enabled = true;
                Edit_Macros_Button->Enabled = false;
                break;
        case 4: // DirectSetup
                Edit_Interfaces_Button->Enabled = true;
                Edit_Global_Functions_Button->Enabled = false;
                Edit_Callback_Functions_Button->Enabled = false;
                Edit_Structures_Button->Enabled = true;
                Edit_Macros_Button->Enabled = false;
                break;
        case 5: // Direct3D_Immediate_Mode
                Edit_Interfaces_Button->Enabled = true;
                Edit_Global_Functions_Button->Enabled = false;
                Edit_Callback_Functions_Button->Enabled = false;
                Edit_Structures_Button->Enabled = true;
                Edit_Macros_Button->Enabled = false;
                break;
        case 6: // Direct3D_Retained_Mode
                Edit_Interfaces_Button->Enabled = true;
                Edit_Global_Functions_Button->Enabled = false;
                Edit_Callback_Functions_Button->Enabled = false;
                Edit_Structures_Button->Enabled = true;
                Edit_Macros_Button->Enabled = false;
                break;
        }
    }
}
//---------------------------------------------------------------------------
void __fastcall TDirectX_Object_Browser::Edit_Interfaces_ButtonClick(
    TObject *Sender)
{
ShowMessage("Not Yet Working!!");
return;
Interfaces_Editor->Show();
Global_Functions_Editor->Hide();
Callback_Functions_Editor->Hide();
Structures_Editor->Hide();
Macros_Editor->Hide();
}
//---------------------------------------------------------------------------
void __fastcall TDirectX_Object_Browser::Edit_Global_Functions_ButtonClick(
    TObject *Sender)
{
ShowMessage("Not Yet Working!!");
return;
Interfaces_Editor->Hide();
Global_Functions_Editor->Show();
Callback_Functions_Editor->Hide();
Structures_Editor->Hide();
Macros_Editor->Hide();
}
//---------------------------------------------------------------------------
void __fastcall TDirectX_Object_Browser::Edit_Callback_Functions_ButtonClick(
    TObject *Sender)
{
ShowMessage("Not Yet Working!!");
return;
Interfaces_Editor->Hide();
Global_Functions_Editor->Hide();
Callback_Functions_Editor->Show();
Structures_Editor->Hide();
Macros_Editor->Hide();
}
//---------------------------------------------------------------------------
void __fastcall TDirectX_Object_Browser::Edit_Structures_ButtonClick(
    TObject *Sender)
{
Structures_Editor->Label1->Caption = Label1->Caption;
Interfaces_Editor->Hide();
Global_Functions_Editor->Hide();
Callback_Functions_Editor->Hide();
Structures_Editor->Show();
Macros_Editor->Hide();
}
//---------------------------------------------------------------------------
void __fastcall TDirectX_Object_Browser::Edit_Macros_ButtonClick(
    TObject *Sender)
{
ShowMessage("Not Yet Working!!");
return;
Interfaces_Editor->Hide();
Global_Functions_Editor->Hide();
Callback_Functions_Editor->Hide();
Structures_Editor->Hide();
Macros_Editor->Show();
}
//---------------------------------------------------------------------------
void __fastcall TDirectX_Object_Browser::FormCreate(TObject *Sender)
{
ComboBox1->ItemIndex = 0;
ComboBox1->OnChange(this);
}
//---------------------------------------------------------------------------
